Modify

Opened 2 years ago

Closed 23 months ago

Last modified 21 months ago

#16881 closed defect (not_a_bug)

qemu, malta le: Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000004

Reported by: dwrobel@… Owned by: florian
Priority: low Milestone: Chaos Calmer 15.05
Component: kernel Version: Trunk
Keywords: qemu, malta, mipsel, r41302 Cc:

Description (last modified by florian)

Just wanted to debug something on emulator.

While trying to run the official image for qemu malta le target[1] using the example given in target/linux/malta/README file it crashes as following:

$ qemu-system-mipsel -kernel bin/malta/openwrt-malta-le-vmlinux-initramfs.elf -nographic -m 256

[    0.000000] Linux version 3.10.36 (openwrt@gb-10) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r41302) ) #2 SMP Mon Jun 23 18:11:58 UTC 2014                                                
[    0.000000] Config serial console: console=ttyS0,38400n8r                                                                                                                                         
[    0.000000] bootconsole [early0] enabled                                                                                                                                                          
[    0.000000] CPU revision is: 00019300 (MIPS 24Kc)                                                                                                                                                 
[    0.000000] FPU revision is: 00739300                                                                                                                                                             
[    0.000000] Software DMA cache coherency enabled                                                                                                                                                  
[    0.000000] Determined physical RAM map:                                                                                                                                                          
[    0.000000]  memory: 00001000 @ 00000000 (reserved)                                                                                                                                               
[    0.000000]  memory: 000ef000 @ 00001000 (ROM data)                                                                                                                                               
[    0.000000]  memory: 006a9000 @ 000f0000 (reserved)                                                                                                                                               
[    0.000000]  memory: 0f867000 @ 00799000 (usable)                                                                                                                                                 
[    0.000000] Wasting 62240 bytes for tracking 1945 unused pages                                                                                                                                    
[    0.000000] Initrd not found or empty - disabling initrd                                                                                                                                          
[    0.000000] Zone ranges:                                                                                                                                                                          
[    0.000000]   DMA      [mem 0x00000000-0x00ffffff]                                                                                                                                                
[    0.000000]   Normal   [mem 0x01000000-0x0fffffff]                                                                                                                                                
[    0.000000] Movable zone start for each node                                                                                                                                                      
[    0.000000] Early memory node ranges                                                                                                                                                              
[    0.000000]   node   0: [mem 0x00000000-0x0fffffff]                                                                                                                                               
[    0.000000] Primary instruction cache 2kB, VIPT, 2-way, linesize 16 bytes.                                                                                                                        
[    0.000000] Primary data cache 2kB, 2-way, VIPT, no aliases, linesize 16 bytes                                                                                                                    
[    0.000000] PERCPU: Embedded 7 pages/cpu @81203000 s6848 r8192 d13632 u32768                                                                                                                      
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 65024                                                                                                            
[    0.000000] Kernel command line:  console=ttyS0,38400n8r                                                                                                                                          
[    0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)                                                                                                                                   
[    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)                                                                                                                       
[    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)                                                                                                                         
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 252056k/254364k available (2702k kernel code, 2308k reserved, 748k data, 3204k init, 0k highmem)
[    0.000000] Hierarchical RCU implementation.
[    0.000000]  RCU restricting CPUs from NR_CPUS=2 to nr_cpu_ids=1.
[    0.000000] NR_IRQS:256
[    0.000000] CPU frequency 200.00 MHz
[    0.000000] Console: colour dummy device 80x25
[    0.000000] Calibrating delay loop... 956.00 BogoMIPS (lpj=4780032)
[    0.150000] pid_max: default: 32768 minimum: 301
[    0.150000] Mount-cache hash table entries: 512
[    0.170000] Brought up 1 CPUs
[    0.180000] NET: Registered protocol family 16
[    0.210000] bio: create slab <bio-0> at 0
[    0.210000] SCSI subsystem initialized
[    0.210000] PCI host bridge to bus 0000:00
[    0.210000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
[    0.220000] pci_bus 0000:00: root bus resource [io  0x2000-0x1fffff]
[    0.220000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.220000] pci 0000:00:0a.3: no compatible bridge window for [io  0x1100-0x110f]
[    0.220000] pci 0000:00:0a.3: BAR 8: [io  0x1100-0x110f] has bogus alignment
[    0.230000] pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x11ffffff pref]
[    0.230000] pci 0000:00:0b.0: BAR 6: assigned [mem 0x12000000-0x1203ffff pref]
[    0.230000] pci 0000:00:12.0: BAR 6: assigned [mem 0x12040000-0x1204ffff pref]
[    0.230000] pci 0000:00:12.0: BAR 1: assigned [mem 0x12050000-0x12050fff]
[    0.230000] pci 0000:00:0a.2: BAR 4: assigned [io  0x2000-0x201f]
[    0.230000] pci 0000:00:0b.0: BAR 0: assigned [io  0x2020-0x203f]
[    0.230000] pci 0000:00:0b.0: BAR 1: assigned [mem 0x12051000-0x1205101f]
[    0.230000] pci 0000:00:0a.1: BAR 4: assigned [io  0x2040-0x204f]
[    0.240000] Switching to clocksource pit
[    0.270000] NET: Registered protocol family 2
[    0.270000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[    0.270000] TCP bind hash table entries: 2048 (order: 2, 16384 bytes)
[    0.270000] TCP: Hash tables configured (established 2048 bind 2048)
[    0.280000] TCP: reno registered
[    0.280000] UDP hash table entries: 256 (order: 1, 8192 bytes)
[    0.280000] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[    0.280000] NET: Registered protocol family 1
[    0.280000] PCI: Enabling device 0000:00:0a.2 (0000 -> 0001)
[    0.360000] VFS: Disk quotas dquot_6.5.2
[    0.360000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.360000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.360000] jffs2: version 2.2 (NAND) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.360000] msgmni has been set to 492
[    0.370000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.370000] io scheduler noop registered
[    0.370000] io scheduler deadline registered (default)
[    0.500000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.520000] serial8250.0: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[    0.520000] console [ttyS0] enabled, bootconsole disabled
[    0.520000] console [ttyS0] enabled, bootconsole disabled
[    0.530000] serial8250.0: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
[    0.540000] serial8250.0: ttyS2 at MMIO 0x1f000900 (irq = 20) is a 16550A
[    0.550000] brd: module loaded
[    0.560000] physmap platform flash device: 00400000 at 1e000000
[    0.560000] physmap-flash.0: Found 1 x32 devices at 0x0 in 32-bit bank. Manufacturer ID 0x000000 Chip ID 0x000000
[    0.560000] Intel/Sharp Extended Query Table at 0x0031
[    0.570000] Using buffer write method
[    0.570000] Creating 3 MTD partitions on "physmap-flash.0":
[    0.570000] 0x000000000000-0x000000100000 : "YAMON"
[    0.570000] 0x000000100000-0x0000003e0000 : "User FS"
[    0.570000] 0x0000003e0000-0x000000400000 : "Board Config"
[    0.580000] mousedev: PS/2 mouse device common for all mice
[    0.580000] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.580000] rtc_cmos rtc_cmos: alarms up to one day, 242 bytes nvram
[    0.580000] TCP: cubic registered
[    0.580000] NET: Registered protocol family 17
[    0.580000] Bridge firewalling registered
[    0.580000] 8021q: 802.1Q VLAN Support v1.8
[    0.590000] rtc_cmos rtc_cmos: setting system clock to 2014-06-24 15:01:07 UTC (1403622067)
[    0.600000] Freeing YAMON memory: 956k freed
[    0.610000] Freeing unused kernel memory: 3204K (8045f000 - 80780000)
[    0.650000] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000004
[    0.650000] 
Killed

$ qemu-system-mipsel --version
QEMU emulator version 1.6.2, Copyright (c) 2003-2008 Fabrice Bellard

I haven't use it so far, thus don't know whether it worked previously or no. Is there any changes to get it working? If you need some additional information please let me know.

[1] http://downloads.openwrt.org/snapshots/trunk/malta/openwrt-malta-le-vmlinux-initramfs.elf

Attachments (0)

Change History (12)

comment:1 Changed 2 years ago by anonymous

The same happens using the latest available version of qemu:

$ qemu-system-mipsel --version
QEMU emulator version 2.0.0, Copyright (c) 2003-2008 Fabrice Bellard

$ qemu-system-mipsel -kernel openwrt-malta-le-vmlinux-initramfs.elf -nographic -m 256

[ 0.000000] Linux version 3.10.36 (openwrt@gb-10) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r41302) ) #2 SMP Mon Jun 23 18:11:58 UTC 2014
[ 0.000000] Config serial console: console=ttyS0,38400n8r
[ 0.000000] bootconsole [early0] enabled
[ 0.000000] CPU revision is: 00019300 (MIPS 24Kc)
[ 0.000000] FPU revision is: 00739300
[ 0.000000] Software DMA cache coherency enabled
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 00001000 @ 00000000 (reserved)
[ 0.000000] memory: 000ef000 @ 00001000 (ROM data)
[ 0.000000] memory: 006a9000 @ 000f0000 (reserved)
[ 0.000000] memory: 0f867000 @ 00799000 (usable)
[ 0.000000] Wasting 62240 bytes for tracking 1945 unused pages
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] DMA [mem 0x00000000-0x00ffffff]
[ 0.000000] Normal [mem 0x01000000-0x0fffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x0fffffff]
[ 0.000000] Primary instruction cache 2kB, VIPT, 2-way, linesize 16 bytes.
[ 0.000000] Primary data cache 2kB, 2-way, VIPT, no aliases, linesize 16 bytes
[ 0.000000] PERCPU: Embedded 7 pages/cpu @81203000 s6848 r8192 d13632 u32768
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 65024
[ 0.000000] Kernel command line: console=ttyS0,38400n8r
[ 0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)
[ 0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
[ 0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 252056k/254364k available (2702k kernel code, 2308k reserved, 748k data, 3204k init, 0k highmem)
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] RCU restricting CPUs from NR_CPUS=2 to nr_cpu_ids=1.
[ 0.000000] NR_IRQS:256
[ 0.000000] CPU frequency 200.00 MHz
[ 0.000000] Console: colour dummy device 80x25
[ 0.000000] Calibrating delay loop... 956.00 BogoMIPS (lpj=4780032)
[ 0.150000] pid_max: default: 32768 minimum: 301
[ 0.150000] Mount-cache hash table entries: 512
[ 0.170000] Brought up 1 CPUs
[ 0.180000] NET: Registered protocol family 16
[ 0.210000] bio: create slab <bio-0> at 0
[ 0.210000] SCSI subsystem initialized
[ 0.210000] PCI host bridge to bus 0000:00
[ 0.210000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x17ffffff]
[ 0.210000] pci_bus 0000:00: root bus resource [io 0x2000-0x1fffff]
[ 0.210000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[ 0.220000] pci 0000:00:0a.3: no compatible bridge window for [io 0x1100-0x110f]
[ 0.220000] pci 0000:00:0a.3: BAR 8: [io 0x1100-0x110f] has bogus alignment
[ 0.220000] pci 0000:00:12.0: BAR 0: assigned [mem 0x10000000-0x11ffffff pref]
[ 0.220000] pci 0000:00:0b.0: BAR 6: assigned [mem 0x12000000-0x1203ffff pref]
[ 0.220000] pci 0000:00:12.0: BAR 6: assigned [mem 0x12040000-0x1204ffff pref]
[ 0.230000] pci 0000:00:12.0: BAR 1: assigned [mem 0x12050000-0x12050fff]
[ 0.230000] pci 0000:00:0a.2: BAR 4: assigned [io 0x2000-0x201f]
[ 0.230000] pci 0000:00:0b.0: BAR 0: assigned [io 0x2020-0x203f]
[ 0.230000] pci 0000:00:0b.0: BAR 1: assigned [mem 0x12051000-0x1205101f]
[ 0.230000] pci 0000:00:0a.1: BAR 4: assigned [io 0x2040-0x204f]
[ 0.230000] Switching to clocksource pit
[ 0.260000] NET: Registered protocol family 2
[ 0.270000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[ 0.270000] TCP bind hash table entries: 2048 (order: 2, 16384 bytes)
[ 0.270000] TCP: Hash tables configured (established 2048 bind 2048)
[ 0.270000] TCP: reno registered
[ 0.270000] UDP hash table entries: 256 (order: 1, 8192 bytes)
[ 0.270000] UDP-Lite hash table entries: 256 (order: 1, 8192 bytes)
[ 0.280000] NET: Registered protocol family 1
[ 0.280000] PCI: Enabling device 0000:00:0a.2 (0000 -> 0001)
[ 0.370000] VFS: Disk quotas dquot_6.5.2
[ 0.370000] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[ 0.380000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.380000] jffs2: version 2.2 (NAND) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.380000] msgmni has been set to 492
[ 0.390000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[ 0.390000] io scheduler noop registered
[ 0.390000] io scheduler deadline registered (default)
[ 0.520000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 0.540000] serial8250.0: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
[ 0.550000] console [ttyS0] enabled, bootconsole disabled
[ 0.550000] console [ttyS0] enabled, bootconsole disabled
[ 0.560000] serial8250.0: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
[ 0.570000] serial8250.0: ttyS2 at MMIO 0x1f000900 (irq = 20) is a 16550A
[ 0.580000] brd: module loaded
[ 0.580000] physmap platform flash device: 00400000 at 1e000000
[ 0.590000] physmap-flash.0: Found 1 x32 devices at 0x0 in 32-bit bank. Manufacturer ID 0x000000 Chip ID 0x000000
[ 0.590000] Intel/Sharp Extended Query Table at 0x0031
[ 0.590000] Using buffer write method
[ 0.590000] Creating 3 MTD partitions on "physmap-flash.0":
[ 0.600000] 0x000000000000-0x000000100000 : "YAMON"
[ 0.600000] 0x000000100000-0x0000003e0000 : "User FS"
[ 0.600000] 0x0000003e0000-0x000000400000 : "Board Config"
[ 0.600000] mousedev: PS/2 mouse device common for all mice
[ 0.610000] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[ 0.610000] rtc_cmos rtc_cmos: alarms up to one day, 242 bytes nvram
[ 0.610000] TCP: cubic registered
[ 0.610000] NET: Registered protocol family 17
[ 0.610000] Bridge firewalling registered
[ 0.610000] 8021q: 802.1Q VLAN Support v1.8
[ 0.610000] rtc_cmos rtc_cmos: setting system clock to 2014-06-24 15:30:13 UTC (1403623813)
[ 0.620000] Freeing YAMON memory: 956k freed
[ 0.640000] Freeing unused kernel memory: 3204K (8045f000 - 80780000)
[ 0.670000] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000004
[ 0.670000]

comment:2 Changed 2 years ago by anonymous

I do have similar problem.

Mahi

comment:3 follow-up: Changed 2 years ago by florian

  • Owner changed from developers to florian
  • Status changed from new to accepted

Can you attach your .config file so I can check which compiler version you are using and which C library (eglibc or uclibc)? Thanks!

comment:4 Changed 2 years ago by anonymous

I did a bisect with default config:

5a40f111e5fbf54bb08b5c0c638d280b57294a74 is the first bad commit
commit 5a40f111e5fbf54bb08b5c0c638d280b57294a74
Author: nbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date:   Mon Mar 10 11:20:33 2014 +0000

    toolchain/gcc: use 4.8-linaro by default
    
    Signed-off-by: Felix Fietkau <nbd@openwrt.org>
    
    git-svn-id: svn://svn.openwrt.org/openwrt/trunk@39860 3c298f89-4303-0410-b956-a3cf2f4a3e73

:040000 040000 499b9a9420fe2a696a9f87bfe93c66d20d41ca84 5f611319b678f464b9eed3eaa41d7bdcde92b712 M	toolchain

compiling latest trunk with gcc 4.6.x and booting in qemu works again

comment:5 Changed 2 years ago by zloop

I did a compile with gcc 4.9.0 too and it panics too

looks almost the same: http://paste.debian.net/106644/

comment:6 in reply to: ↑ 3 Changed 2 years ago by dwrobel@…

Replying to florian:

Can you attach your .config file so I can check which compiler version you are using and which C library (eglibc or uclibc)? Thanks!

As aforementioned the binary image was taken from [1] and the config can be found at [2].

[2] http://downloads.openwrt.org/snapshots/trunk/malta/config

comment:7 Changed 2 years ago by zloop

I did some compile tests and found out it's an issue with MIPS16

for example deactivating MIPS16 in menuconfig -> Advanced configuration options -> Target Options
results in a working initramfs with qemu-system-mipsel

successful running with

qemu-system-mipsel -kernel openwrt-malta-le-vmlinux-initramfs.elf -nographic -m 256

editing default diffconfig to a working one like:

./scripts/diffconfig.sh 
CONFIG_TARGET_malta=y
CONFIG_TARGET_malta_le=y
CONFIG_TARGET_malta_le_Default=y
CONFIG_DEVEL=y
CONFIG_BUILD_LOG=y
CONFIG_DOWNLOAD_FOLDER="/home/tenchi/prog/git/dl"
CONFIG_DRIVER_11N_SUPPORT=y
CONFIG_KERNEL_RELAY=y
CONFIG_LOCALMIRROR="file:///home/tenchi/prog/git/mirror"
CONFIG_PACKAGE_dnsmasq=y
CONFIG_PACKAGE_firewall=y
CONFIG_PACKAGE_ip6tables=y
CONFIG_PACKAGE_iptables=y
CONFIG_PACKAGE_kmod-ath=y
CONFIG_PACKAGE_kmod-ath9k=y
CONFIG_PACKAGE_kmod-ath9k-common=y
CONFIG_PACKAGE_kmod-gpio-button-hotplug=y
CONFIG_PACKAGE_kmod-ip6tables=y
CONFIG_PACKAGE_kmod-ipt-conntrack=y
CONFIG_PACKAGE_kmod-ipt-core=y
CONFIG_PACKAGE_kmod-ipt-nat=y
CONFIG_PACKAGE_kmod-ipt-nathelper=y
CONFIG_PACKAGE_kmod-ipv6=y
CONFIG_PACKAGE_kmod-ledtrig-usbdev=y
CONFIG_PACKAGE_kmod-lib-crc-ccitt=y
# CONFIG_PACKAGE_kmod-mac80211-hwsim is not set
# CONFIG_PACKAGE_kmod-mii is not set
CONFIG_PACKAGE_kmod-nls-base=y
# CONFIG_PACKAGE_kmod-pcnet32 is not set
CONFIG_PACKAGE_kmod-ppp=y
CONFIG_PACKAGE_kmod-pppoe=y
CONFIG_PACKAGE_kmod-pppox=y
CONFIG_PACKAGE_kmod-slhc=y
CONFIG_PACKAGE_kmod-usb-core=y
CONFIG_PACKAGE_kmod-usb-ohci=y
CONFIG_PACKAGE_kmod-usb2=y
CONFIG_PACKAGE_libip4tc=y
CONFIG_PACKAGE_libip6tc=y
CONFIG_PACKAGE_libxtables=y
CONFIG_PACKAGE_odhcp6c=y
CONFIG_PACKAGE_odhcp6c_ext_cer_id=0
CONFIG_PACKAGE_odhcp6c_ext_prefix_class=0
CONFIG_PACKAGE_odhcp6c_ext_s46=0
CONFIG_PACKAGE_odhcpd=y
CONFIG_PACKAGE_odhcpd_ext_cer_id=0
CONFIG_PACKAGE_odhcpd_ext_prefix_class=0
CONFIG_PACKAGE_ppp=y
CONFIG_PACKAGE_ppp-mod-pppoe=y
CONFIG_PACKAGE_swconfig=y
CONFIG_PACKAGE_uboot-envtools=y
CONFIG_TARGET_OPTIONS=y
CONFIG_TARGET_ROOTFS_SQUASHFS=y
CONFIG_TARGET_SQUASHFS_BLOCK_SIZE=256
# CONFIG_USE_MIPS16 is not set

comment:8 Changed 2 years ago by zloop

i did a run with "insane debug" options taken from https://wiki.archlinux.org/index.php/Boot_debugging
with the malta little endian default config:

[    0.460000] 8021q: 802.1Q VLAN Support v1.8
[    0.460000] initcall vlan_proto_init+0x0/0xa8 returned 0 after 297 usecs
[    0.460000] calling  init_oops_id+0x0/0x54 @ 1
[    0.460000] initcall init_oops_id+0x0/0x54 returned 0 after 22 usecs
[    0.460000] calling  printk_late_init+0x0/0x84 @ 1
[    0.460000] initcall printk_late_init+0x0/0x84 returned 0 after 26 usecs
[    0.460000] calling  pm_qos_power_init+0x0/0xa8 @ 1
[    0.460000] initcall pm_qos_power_init+0x0/0xa8 returned 0 after 655 usecs
[    0.460000] calling  prandom_reseed+0x0/0xe0 @ 1
[    0.460000] initcall prandom_reseed+0x0/0xe0 returned 0 after 52 usecs
[    0.460000] calling  pci_resource_alignment_sysfs_init+0x0/0x1c @ 1
[    0.460000] initcall pci_resource_alignment_sysfs_init+0x0/0x1c returned 0 after 12 usecs
[    0.460000] calling  pci_sysfs_init+0x0/0x70 @ 1
[    0.460000] initcall pci_sysfs_init+0x0/0x70 returned 0 after 440 usecs
[    0.460000] calling  deferred_probe_initcall+0x0/0x78 @ 1
[    0.460000] initcall deferred_probe_initcall+0x0/0x78 returned 0 after 346 usecs
[    0.460000] calling  rtc_hctosys+0x0/0x12c @ 1
[    0.460000] rtc_cmos rtc_cmos: setting system clock to 2014-07-03 19:33:44 UTC (1404416024)
[    0.460000] initcall rtc_hctosys+0x0/0x12c returned 0 after 599 usecs
[    0.460000] calling  tcp_congestion_default+0x0/0xc @ 1
[    0.460000] initcall tcp_congestion_default+0x0/0xc returned 0 after 44 usecs
[    0.460000] calling  tcp_fastopen_init+0x0/0x30 @ 1
[    0.460000] initcall tcp_fastopen_init+0x0/0x30 returned 0 after 0 usecs
[    0.460000] calling  initialize_hashrnd+0x0/0x28 @ 1
[    0.460000] initcall initialize_hashrnd+0x0/0x28 returned 0 after 0 usecs
[    0.470000] async_waiting @ 1
[    0.470000] async_continuing @ 1 after 40 usec
[    0.470000] Freeing YAMON memory: 956k freed
[    0.480000] Freeing unused kernel memory: 6968K (80422000 - 80af0000)
[    0.500000] potentially unexpected fatal signal 4.
[    0.500000] CPU: 0 PID: 1 Comm: init Not tainted 3.10.44 #2
[    0.500000] task: 8f825a78 ti: 8f826000 task.ti: 8f826000
[    0.500000] $ 0   : 00000000 fffffff8 00000006 00000073
[    0.500000] $ 4   : 7ffc3f76 0048bf5b 0048bf5b 7ffc3f76
[    0.500000] $ 8   : 00000000 80000008 77ec6014 ffffffec
[    0.500000] $12   : fffffffc ffffffff 00000000 0040ca7d
[    0.500000] $16   : 00000076 00000000 0000003b 0000003c
[    0.500000] $20   : 00000001 7ffc3f75 00000001 00000000
[    0.500000] $24   : 00000006 77df2800                  
[    0.500000] $28   : 7ffc3748 7ffc3770 00000000 77e05094
[    0.500000] Hi    : 00000165
[    0.500000] Lo    : 0001e78d
[    0.500000] epc   : 0040ca87 0x40ca87
[    0.500000]     Not tainted
[    0.500000] ra    : 77e05094 0x77e05094
[    0.500000] Status: 0000a713	USER EXL IE 
[    0.500000] Cause : 80800028
[    0.500000] PrId  : 00019300 (MIPS 24Kc)
[    0.500000] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000004

maybe this helps

comment:9 Changed 2 years ago by florian

  • Description modified (diff)

comment:10 Changed 23 months ago by jogo

This actually seems to be a qemu issue, not an OpenWrt issue. With

QEMU emulator version 1.0.50 (Debian 1.0.50-2012.03-0ubuntu2.1), Copyright (c) 2003-2008 Fabrice Bellard

malta images boot fine, but with

QEMU emulator version 2.1.0 (Debian 2.1+dfsg-4), Copyright (c) 2003-2008 Fabrice Bellard

it panics as reported.

comment:11 Changed 23 months ago by jogo

  • Resolution set to not_a_bug
  • Status changed from accepted to closed

Further bisecting found the culprit, and there's even a patch for qemu pending that fixes it.

This was broken in qemu 1.6, so your options are to either use an older release, build qemu yourself with the patch applied, or wait for a fixed release.

I'll close it as "not_a_bug" in the meaning of "not an OpenWrt bug", not that there is no bug. There is clearly one in qemu.

comment:12 Changed 21 months ago by zloop

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.